# $Revision: 1.18 $, $Date: 2009/10/07 07:49:11 $
Summary:	OpenGL frontend to freetype2
Summary(pl.UTF-8):	Nakładka OpenGL na freetype2 - łatwy dostęp do fontów z poziomu OpenGL
Name:		ftgl
Version:	2.1.3
Release:	0.rc5.1
Epoch:		0
License:	LGPL
Group:		X11/Libraries
# original URL (dead ATM): http://opengl.geek.nz/ftgl/%{name}-%{version}.tar.gz
Source0:	http://dl.sourceforge.net/ftgl/%{name}-%{version}-rc5.tar.gz
# Source0-md5:	fcf4d0567b7de9875d4e99a9f7423633
URL:		http://homepages.paradise.net.nz/henryj/code/#FTGL
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	freetype-devel >= 2.0.9
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FTGL is a free, open source library to enable developers to use
arbitrary fonts in their OpenGL (http://www.opengl.org/) applications.
Unlike other OpenGL font libraries FTGL uses standard font file
formats so doesn't need a preprocessing step to convert the high
quality font data into a lesser quality, proprietary format. FTGL uses
the Freetype (http://www.freetype.org/) font library to open and
'decode' the fonts. It then takes that output and stores it in a
format most efficient for OpenGL rendering.

%description -l pl.UTF-8
FTPGL to wolnodostępna biblioteka z otwartymi źródłami umożliwiająca
programistom używanie dowolnych fontów w aplikacjach OpenGL
(http://www.opengl.org/). W przeciwieństwie do innych bibliotek OpenGL
FTGL używa standardowych formatów plików z fontami, dzięki czemu nie
jest wymagany żaden preprocessing, aby przetworzyć dane fontu wysokiej
jakości na własnościowy format niższej jakości. FTGL do wczytywania i
dekodowania fontów używa biblioteki obsługi fontów Freetype
(http://www.freetype.org/), następnie przejmuje wyjście i przechowuje
je w formacie najbardziej wydajnym przy renderingu OpenGL.

%package devel
Summary:	OpenGL frontend to freetype2 - development files
Summary(pl.UTF-8):	Nakładka OpenGL na freetype2 - pliki dla programistów
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	freetype-devel >= 2.0.9
Requires:	libstdc++-devel

%description devel
OpenGL frontend to freetype2 - development files.

%description devel -l pl.UTF-8
Nakładka OpenGL na freetype2 - pliki dla programistów.

%package static
Summary:	Static FTGL library
Summary(pl.UTF-8):	Statyczna biblioteka FTGL
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FTGL library.

%description static -l pl.UTF-8
Statyczna biblioteka FTGL.

%prep
%setup -q -n %{name}-%{version}~rc5

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared
%{__make} \
	ECHO=/bin/echo

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	ECHO=/bin/echo

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
%attr(755,root,root) %{_libdir}/libftgl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libftgl.so.2

%files devel
%defattr(644,root,root,755)
%doc docs/html
%attr(755,root,root) %{_libdir}/libftgl.so
%{_libdir}/libftgl.la
%{_includedir}/FTGL
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libftgl.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ftgl.spec,v $
Revision 1.18  2009/10/07 07:49:11  lisu
- no pdf file in docs
- install ghost soname symlink

Revision 1.17  2009/09/22 05:38:49  adamg
- updated to 2.1.3-rc5 (it's rc, but last stable release was 5 years ago and
  this is only -rc since)
- -Makefiles and -gcc4 patches no longer needed
- BR: autoconf, libtool
- auto* rebuild
- include pdf in devel docs

Revision 1.16  2007/09/14 13:37:06  arvenil
- release 3 (needs rebuild with new file)

Revision 1.15  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.13  2006/04/12 21:59:30  megabajt
- added gcc4 patch
- BR/R OpenGL-GLU-devel
- rel 2

Revision 1.12  2005/02/19 22:57:06  qboosh
- build shared lib, fixed files ("not DOS" made duplicates!)
- allow stripping
- BR+R libstdc++-devel

Revision 1.11  2005/02/19 20:59:15  gj
- it's not the DOS ;)

Revision 1.10  2005/02/19 19:36:33  qboosh
- pl

Revision 1.9  2005/02/19 18:22:41  gj
- glut is only needed for examples, we don't want examples (for now), so no glut required

Revision 1.8  2005/02/19 17:41:46  ankry
- sorted R/BR, pl

Revision 1.7  2005/02/19 17:33:15  gj
- to English

Revision 1.6  2005/02/19 17:31:32  ankry
- more fixes

Revision 1.5  2005/02/19 17:30:38  arekm
- up

Revision 1.4  2005/02/19 17:26:37  gj
- update descriptions

Revision 1.3  2005/02/19 17:22:51  arekm
- small fixes

Revision 1.2  2005/02/19 17:11:44  gj
- ftgl-Makefiles.patch

Revision 1.1  2005/02/19 17:07:27  gj
- initial release.
- someone more expierenced please fix issue with %doc in %files
